// serDlg.cpp : implementation file
//

#include "stdafx.h"
#include "MbusOPCInterface.h"
#include "serDlg.h"


// serDlg dialog

IMPLEMENT_DYNAMIC(serDlg, CDialog)
serDlg::serDlg(CWnd* pParent /*=NULL*/)
	: CDialog(serDlg::IDD, pParent)
{
}

serDlg::~serDlg()
{
}
BOOL serDlg::OnInitDialog()
{
	CComboBox* comportComboBox = (CComboBox*)GetDlgItem(IDC_COMBO1);
	//ymyComboBox->AddString("...");
	int iSlask;
	char szSlask[16];

	for (iSlask = 0; iSlask < 256; iSlask++) {
		itoa (iSlask + 1, szSlask, 10);
		comportComboBox->AddString(szSlask);
	}

	comportComboBox->SetCurSel(0);

	CComboBox* baudrateComboBox = (CComboBox*)GetDlgItem(IDC_COMBO3);
	//ymyComboBox->AddString("...");
	baudrateComboBox->InsertString(0,"300");
	baudrateComboBox->InsertString(1,"600");
	baudrateComboBox->InsertString(2,"1200");
	baudrateComboBox->InsertString(3,"2400");
	baudrateComboBox->InsertString(4,"4800");
	baudrateComboBox->InsertString(5,"9600");
	baudrateComboBox->InsertString(6,"19200");
	baudrateComboBox->InsertString(7,"38400");	
	baudrateComboBox->InsertString(8,"57600");
	baudrateComboBox->InsertString(9,"115200");

	baudrateComboBox->SetCurSel(3);

  return TRUE;

}

void serDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_COMBO1, m_ComPort);
//	DDX_Control(pDX, IDC_COMBO3, m_BaudRate);
}

CString serDlg::getComPort()
{
//	UpdateData(TRUE);
	CString comport;
	int pos = ((CComboBox*)GetDlgItem(IDC_COMBO1))->GetCurSel();
	//int pos = m_ComPort.GetCurSel();
	if(pos == -1)	{
		((CComboBox*)GetDlgItem(IDC_COMBO1))->GetWindowText(comport);
	} else {
		((CComboBox*)GetDlgItem(IDC_COMBO1))->GetLBText(pos,comport);
	}
	return comport;

}
CString serDlg::getBaudrate()
{
	//UpdateData(TRUE);
	CString baudrate;
	int pos = ((CComboBox*)GetDlgItem(IDC_COMBO3))->GetCurSel();
	if(pos != -1)
	{
		((CComboBox*)GetDlgItem(IDC_COMBO3))->GetLBText(pos,baudrate);
		return baudrate;
	}
	else
		return "";
}
CString serDlg::getStopbits()
{
	int stopBits1,stopBits15,stopBits2;

	// 2007-11-09/TR
	return "0";

	CButton* pRadio = (CButton*)GetDlgItem(IDC_RADIO7);
	stopBits1 = pRadio->GetCheck();

	pRadio = (CButton*)GetDlgItem(IDC_RADIO6);
	stopBits15 = pRadio->GetCheck();

	pRadio = (CButton*)GetDlgItem(IDC_RADIO5);
	stopBits2 = pRadio->GetCheck();

	if( stopBits1== 1)
		return "0";
	else if( stopBits15 == 1)
		return "1";
	else if( stopBits2 == 1)
		return "2";
	else
		return "";
}
CString serDlg::getDatabits()
{
	int dataBits7,dataBits8;

	// 2007-11-09/TR
	return "8";

	CButton* pRadio = (CButton*)GetDlgItem(IDC_RADIO1);
	dataBits7 = pRadio->GetCheck();

	pRadio = (CButton*)GetDlgItem(IDC_RADIO4);
	dataBits8 = pRadio->GetCheck();
	if( dataBits7 == 1)
		return "7";
	else if( dataBits8 == 1)
		return "8";
	else
		return "";
}
CString serDlg::getParity()
{
	int none,odd,even,mark,space;

	// 2007-11-09/TR
	return "2";

	CButton* pRadio = (CButton*)GetDlgItem(IDC_RADIO11);
	none = pRadio->GetCheck();
	pRadio = (CButton*)GetDlgItem(IDC_RADIO10);
	odd = pRadio->GetCheck();
	pRadio = (CButton*)GetDlgItem(IDC_RADIO9);
	even = pRadio->GetCheck();
	pRadio = (CButton*)GetDlgItem(IDC_RADIO8);
	mark = pRadio->GetCheck();
	pRadio = (CButton*)GetDlgItem(IDC_RADIO12);
	space = pRadio->GetCheck();

	if( none== 1)
		return "0";
	else if( odd == 1)
		return "1";
	else if( even == 1)
		return "2";
	else if( mark == 1)
		return "3";
	else if( space == 1)
		return "4";
	else
		return "";
}

BEGIN_MESSAGE_MAP(serDlg, CDialog)
END_MESSAGE_MAP()


// serDlg message handlers
